import { z } from 'zod';
import JSONValue from '../../types/json';
export declare const CFNTemplateParametersParser: z.ZodRecord<z.ZodString, z.ZodObject<{
    AllowedPattern: z.ZodOptional<z.ZodString>;
    AllowedValues: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
    ConstraintDescription: z.ZodOptional<z.ZodString>;
    Default: z.ZodOptional<z.ZodString>;
    Description: z.ZodOptional<z.ZodString>;
    MaxLength: z.ZodOptional<z.ZodNumber>;
    MaxValue: z.ZodOptional<z.ZodNumber>;
    MinLength: z.ZodOptional<z.ZodNumber>;
    MinValue: z.ZodOptional<z.ZodNumber>;
    NoEcho: z.ZodOptional<z.ZodBoolean>;
    Type: z.ZodString;
}, "strip", z.ZodTypeAny, {
    Type: string;
    AllowedPattern?: string | undefined;
    AllowedValues?: string[] | undefined;
    ConstraintDescription?: string | undefined;
    Default?: string | undefined;
    Description?: string | undefined;
    MaxLength?: number | undefined;
    MaxValue?: number | undefined;
    MinLength?: number | undefined;
    MinValue?: number | undefined;
    NoEcho?: boolean | undefined;
}, {
    Type: string;
    AllowedPattern?: string | undefined;
    AllowedValues?: string[] | undefined;
    ConstraintDescription?: string | undefined;
    Default?: string | undefined;
    Description?: string | undefined;
    MaxLength?: number | undefined;
    MaxValue?: number | undefined;
    MinLength?: number | undefined;
    MinValue?: number | undefined;
    NoEcho?: boolean | undefined;
}>>;
export type CFNTemplateParameters = z.infer<typeof CFNTemplateParametersParser>;
export interface CFNTemplate {
    AWSTemplateFormatVersion?: string;
    Description?: string;
    Metadata?: Record<string, JSONValue>;
    Parameters?: CFNTemplateParameters;
    Rules?: Record<string, JSONValue>;
    Mappings?: Record<string, JSONValue>;
    Conditions?: Record<string, JSONValue>;
    Transform?: Record<string, JSONValue>;
    Resources: Record<string, JSONValue>;
    Outputs?: Record<string, JSONValue>;
}
//# sourceMappingURL=cloudFormationTemplate.d.ts.map