import { CloudFormation } from '@aws-sdk/client-cloudformation';
export default class CloudformationService {
    private _cloudformation;
    constructor(cloudformation: CloudFormation);
    /**
     * Get Cloudformation output from a stack
     * @example
     * ```
     * // returns { 'lambdaRoleArn': "ExampleRoleArn" }
     * getCfnOutput('stack123', ['lambdaRoleArn'])
     * ```
     *
     * @param stackName - Stack name of CFN stack to get cloudformation output from
     * @param outputKeys - Output keys to get value for
     * @returns An object where the key is the output key and the value is the cloudformation output of that key.
     */
    getCfnOutput(stackName: string, outputKeys: string[]): Promise<{
        [key: string]: string;
    }>;
}
//# sourceMappingURL=cloudformationService.d.ts.map