"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAX_GET_ITEMS_SIZE = exports.removeDynamoDbKeys = exports.buildConcatenatedSk = exports.buildDynamoDbKey = exports.buildDynamoDBPkSk = void 0;
function buildDynamoDBPkSk(id, type) {
    const key = buildDynamoDbKey(id, type);
    return { pk: key, sk: key };
}
exports.buildDynamoDBPkSk = buildDynamoDBPkSk;
function buildDynamoDbKey(id, type) {
    return `${type}#${id}`;
}
exports.buildDynamoDbKey = buildDynamoDbKey;
function buildConcatenatedSk(keys) {
    return keys.join('');
}
exports.buildConcatenatedSk = buildConcatenatedSk;
function removeDynamoDbKeys(entry) {
    delete entry.pk;
    delete entry.sk;
    delete entry.dependency;
    return entry;
}
exports.removeDynamoDbKeys = removeDynamoDbKeys;
exports.MAX_GET_ITEMS_SIZE = 100;
//# sourceMappingURL=ddbUtil.js.map