import { ServiceCatalog, ProductViewSummary, ProvisioningArtifactDetail, DescribeProvisioningArtifactCommandOutput } from '@aws-sdk/client-service-catalog';
export default class ServiceCatalogService {
    private _serviceCatalog;
    constructor(serviceCatalog: ServiceCatalog);
    /**
     * Get portfolioId of a portfolio
     * @param portfolioName - name of the portfolio
     */
    getPortfolioId(portfolioName: string): Promise<string | undefined>;
    /**
     * Get portfolio products
     * @param portfolioId - Id of the portfolio
     */
    getProductsByPortfolioId(portfolioId: string): Promise<ProductViewSummary[]>;
    /**
     * Get provision artifacts by product
     * @param productId - Id of the portfolio
     */
    getProvisionArtifactsByProductId(productId: string): Promise<ProvisioningArtifactDetail[]>;
    /**
     * Get provision artifacts details
     * @param productId - Id of the product
     * @param provisionArtifactId - Id of the provision Artifact
     */
    getProvisionArtifactDetails(productId: string, provisionArtifactId: string): Promise<DescribeProvisioningArtifactCommandOutput>;
}
//# sourceMappingURL=serviceCatalogService.d.ts.map