import { SecretsServiceInterface } from './services/secretsService';
interface CognitoToken {
    accessToken: string;
    idToken: string;
    refreshToken: string;
}
export default class CognitoTokenService {
    private _aws;
    private _secretsService;
    constructor(awsRegion: string, secretsService: SecretsServiceInterface);
    generateCognitoTokenWithCredentials(userPoolId: string, clientId: string, userName: string, password: string, accountType: 'USER' | 'ADMIN'): Promise<CognitoToken>;
    private _getAdminToken;
    private _getUserToken;
    generateCognitoToken(params: {
        userPoolId: string;
        clientId: string;
        rootUserName?: string;
        rootPassword?: string;
        rootUserNameParamStorePath?: string;
        rootPasswordParamStorePath?: string;
    }): Promise<CognitoToken>;
    private _getClientSecret;
}
export {};
//# sourceMappingURL=cognitoTokenService.d.ts.map