"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isInvalidPaginationTokenError = exports.InvalidPaginationTokenError = void 0;
class InvalidPaginationTokenError extends Error {
    constructor(message) {
        super(message);
        this.name = this.constructor.name;
        this.isInvalidPaginationTokenError = true;
        if (typeof Error.captureStackTrace === 'function') {
            Error.captureStackTrace(this, InvalidPaginationTokenError);
        }
    }
}
exports.InvalidPaginationTokenError = InvalidPaginationTokenError;
function isInvalidPaginationTokenError(error) {
    return (Boolean(error) &&
        error instanceof Error &&
        error.isInvalidPaginationTokenError === true);
}
exports.isInvalidPaginationTokenError = isInvalidPaginationTokenError;
//# sourceMappingURL=invalidPaginationTokenError.js.map