import { z } from 'zod';
export declare const ListUsersForRoleRequestParser: z.ZodObject<{
    role: z.ZodEnum<["ProjectAdmin", "Researcher"]>;
    projectId: z.ZodString;
    pageSize: z.ZodOptional<z.ZodEffects<z.ZodString, number, string>>;
    paginationToken: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    role: "ProjectAdmin" | "Researcher";
    projectId: string;
    pageSize?: number | undefined;
    paginationToken?: string | undefined;
}, {
    role: "ProjectAdmin" | "Researcher";
    projectId: string;
    pageSize?: string | undefined;
    paginationToken?: string | undefined;
}>;
export type ListUsersForRoleRequest = z.infer<typeof ListUsersForRoleRequestParser>;
//# sourceMappingURL=listUsersForRoleRequest.d.ts.map