import { z } from 'zod';
/************
 *
 * Only one operator can be defined by property, if multiple operators are defined, dynamo service will throw an exception.
 *
 ************/
export declare const QueryNumberParamFilterParser: z.ZodObject<{
    eq: z.ZodOptional<z.ZodNumber>;
    lt: z.ZodOptional<z.ZodNumber>;
    lte: z.ZodOptional<z.ZodNumber>;
    gt: z.ZodOptional<z.ZodNumber>;
    gte: z.ZodOptional<z.ZodNumber>;
    between: z.ZodOptional<z.ZodObject<{
        value1: z.ZodNumber;
        value2: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        value1: number;
        value2: number;
    }, {
        value1: number;
        value2: number;
    }>>;
    begins: z.ZodOptional<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    eq?: number | undefined;
    lt?: number | undefined;
    lte?: number | undefined;
    gt?: number | undefined;
    gte?: number | undefined;
    between?: {
        value1: number;
        value2: number;
    } | undefined;
    begins?: number | undefined;
}, {
    eq?: number | undefined;
    lt?: number | undefined;
    lte?: number | undefined;
    gt?: number | undefined;
    gte?: number | undefined;
    between?: {
        value1: number;
        value2: number;
    } | undefined;
    begins?: number | undefined;
}>;
export type QueryNumberParamFilter = z.infer<typeof QueryNumberParamFilterParser>;
//# sourceMappingURL=queryNumberParamFilter.d.ts.map