"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryNumberParamFilterParser = void 0;
const zod_1 = require("zod");
/************
 *
 * Only one operator can be defined by property, if multiple operators are defined, dynamo service will throw an exception.
 *
 ************/
// eslint-disable-next-line @rushstack/typedef-var
exports.QueryNumberParamFilterParser = zod_1.z.object({
    eq: zod_1.z.number().optional(),
    lt: zod_1.z.number().optional(),
    lte: zod_1.z.number().optional(),
    gt: zod_1.z.number().optional(),
    gte: zod_1.z.number().optional(),
    between: zod_1.z
        .object({
        value1: zod_1.z.number(),
        value2: zod_1.z.number()
    })
        .optional(),
    begins: zod_1.z.number().optional()
});
//# sourceMappingURL=queryNumberParamFilter.js.map