import { z } from '../utilities/validatorHelper';
export declare const QueryStringParamFilterParser: z.ZodObject<{
    eq: z.ZodOptional<z.ZodString>;
    lt: z.ZodOptional<z.ZodString>;
    lte: z.ZodOptional<z.ZodString>;
    gt: z.ZodOptional<z.ZodString>;
    gte: z.ZodOptional<z.ZodString>;
    between: z.ZodOptional<z.ZodEffects<z.ZodObject<{
        value1: z.ZodString;
        value2: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        value1: string;
        value2: string;
    }, {
        value1: string;
        value2: string;
    }>, {
        value1: string;
        value2: string;
    }, {
        value1: string;
        value2: string;
    }>>;
    begins: z.ZodOptional<z.ZodString>;
}, "strict", z.ZodTypeAny, {
    eq?: string | undefined;
    lt?: string | undefined;
    lte?: string | undefined;
    gt?: string | undefined;
    gte?: string | undefined;
    between?: {
        value1: string;
        value2: string;
    } | undefined;
    begins?: string | undefined;
}, {
    eq?: string | undefined;
    lt?: string | undefined;
    lte?: string | undefined;
    gt?: string | undefined;
    gte?: string | undefined;
    between?: {
        value1: string;
        value2: string;
    } | undefined;
    begins?: string | undefined;
}>;
export type QueryStringParamFilter = z.infer<typeof QueryStringParamFilterParser>;
//# sourceMappingURL=queryStringParamFilter.d.ts.map