"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretsService = void 0;
class SecretsService {
    constructor(ssm) {
        this._ssm = ssm;
    }
    async getSecret(name) {
        const response = await this._ssm.getParameter({
            Name: name,
            WithDecryption: true
        });
        return response.Parameter.Value;
    }
}
exports.SecretsService = SecretsService;
//# sourceMappingURL=secretsService.js.map