import { QueryCommandOutput } from '@aws-sdk/client-dynamodb';
import QueryParams from '../interfaces/queryParams';
export declare function addPaginationToken(paginationToken: string | undefined, queryParams: QueryParams): QueryParams;
export declare function getPaginationToken(ddbQueryResponse: QueryCommandOutput): string | undefined;
/**
 * Function to convert an object of key-value string pairs to a pagination token.
 *
 * @param key - object of key-value pairs to convert to a pagination token
 * @returns string of a pagination token
 */
export declare function toPaginationToken(key: Record<string, string>): string;
/**
 * Function to convert a pagination token to an object of key-value string pairs.
 *
 * @param token - pagination token to convert to an object of key-value string pairs
 * @returns object of key-value string pairs
 */
export declare function fromPaginationToken(token: string): Record<string, string>;
export declare const DEFAULT_API_PAGE_SIZE: number;
export declare const MAX_API_PAGE_SIZE: number;
//# sourceMappingURL=paginationHelper.d.ts.map