"use strict";
/*
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  SPDX-License-Identifier: Apache-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.runInBatches = void 0;
/**
 *
 * @param promises - array of promises to run in batch
 * @param batchSize - batch size
 * @returns
 */
async function runInBatches(promises, batchSize) {
    const batch = [];
    const result = [];
    for (const element of promises) {
        batch.push(element);
        if (batch.length === batchSize) {
            result.push(...(await Promise.all(batch)));
            batch.length = 0;
        }
    }
    if (batch.length) {
        result.push(...(await Promise.all(batch)));
    }
    return result;
}
exports.runInBatches = runInBatches;
//# sourceMappingURL=promiseUtils.js.map