import { FilterRequest } from '../interfaces/filterRequest';
import QueryParams from '../interfaces/queryParams';
import { SortRequest } from '../interfaces/sortRequest';
/************************************************************
 * Validates only one sorting or filter in list requests
 * @param filter - filter request object
 * @param sort - sorting request object
 ************************************************************/
export declare function validateSingleSortAndFilter(filter?: FilterRequest, sort?: SortRequest): void;
/************************************************************
 * Parses FilterRequest into QueryParam object consumed by dynamoDB
 *
 * @param filter - filter request object
 * @param gsiPropertyNames - field names on pascal case format to retrieve gsi name
 *
 * @returns QueryParams object
 ************************************************************/
export declare function getFilterQueryParams(filter: FilterRequest | undefined, gsiNames: string[]): QueryParams;
/************************************************************
 * Creates a sort request object into a QueryParam object to be consumed by dynamoDB
 * @param sort - sort request property object
 * @param gsiPropertyNames - field names on pascal case format to retrieve gsi name
 * @returns QueryParams object
 ************************************************************/
export declare function getSortQueryParams(sort: SortRequest | undefined, gsiNames: string[]): QueryParams;
//# sourceMappingURL=queryParamsFiltersUtils.d.ts.map