import { z, ZodTypeAny, ZodOptional } from 'zod';
interface ZodPagination {
    pageSize: z.ZodOptional<z.ZodEffects<z.ZodString, number, string>>;
    paginationToken: z.ZodOptional<z.ZodString>;
}
declare module 'zod' {
    interface ZodString {
        required: () => ZodString;
        swbId: (prefix: string) => ZodString;
        nonHTML: () => ZodString;
        swbName: () => ZodString;
        personName: () => ZodString;
        swbDescription: () => ZodString;
        etId: () => ZodString;
        etcId: () => ZodString;
        projId: () => ZodString;
        datasetId: () => ZodString;
        envId: () => ZodString;
        costCenterId: () => ZodString;
        accountId: () => ZodString;
        externalId: () => ZodString;
        awsRegion: () => ZodString;
        optionalNonEmpty: () => ZodOptional<ZodString>;
        awsAccountId: () => ZodString;
        envMgmtRoleArn: () => ZodString;
        hostingAccountHandlerRoleArn: () => ZodString;
        sshKeyId: () => ZodString;
        userId: () => ZodString;
    }
}
declare function getPaginationParser(minPageSize?: number, maxPageSize?: number): ZodPagination;
declare function validateAndParse<T>(parser: ZodTypeAny, data: unknown): T;
export { validateAndParse, getPaginationParser, z };
//# sourceMappingURL=validatorHelper.d.ts.map